package service.ejb;

import javax.ejb.Remote;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.WebParam;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;

@Remote
@WebService(name = "TestService")
@SOAPBinding(style=Style.DOCUMENT, use=SOAPBinding.Use.LITERAL, parameterStyle= SOAPBinding.ParameterStyle.WRAPPED)
public interface IJBossService {
	
	@WebMethod
	public String testString(
			@WebParam(name = "parameter")
			String parameter);

	@WebMethod
	public byte[] blobTest();

	@WebMethod
	public Boolean booleanTest(	
			@WebParam(name = "parameter")
			boolean  parameter);
	
	@WebMethod
	public int intTest(
			@WebParam(name = "parameter1")
			int parameter1,
			@WebParam(name = "parameter2")
			int parameter2);
		
}