package service.ejb;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

import javax.ejb.Stateless;
import javax.jws.WebService;

import org.jboss.system.server.ServerConfigLocator;

@Stateless
@WebService(endpointInterface="service.ejb.IJBossService", serviceName="JBossService")
public class JBossService implements IJBossService {
    
	public String testString(String parameter) {
		return "JBossService result: "+parameter+" HOME_DIR: "+ServerConfigLocator.locate().getHomeDir().getAbsolutePath();
	}

	public byte[] blobTest() {
        byte[] fileArray = null;

        try {
        	File file = new File("c:\\engine.gif");
        	InputStream is = new FileInputStream(file);
        	long length = file.length();
        	fileArray = new byte[(int)length];
            int offset = 0;
            int numRead = 0;
            while ( (offset < fileArray.length)
                     &&
                     ( (numRead=is.read(fileArray, offset, fileArray.length-offset)) >= 0) ) {
                 offset += numRead;
            }        	 
            is.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
		return fileArray;
	}

	public Boolean booleanTest(boolean parameter) {
		return !parameter;
	}

	public int intTest(int parameter1, int parameter2) {
		return parameter1+parameter2;
	}
}
